=== PKGBUILD ===
# Maintainer: Morten Linderud <foxboron@archlinux.org>

pkgname=archlinux-contrib
pkgver=20210710
pkgrel=1
pkgdesc='Collection of contrib scripts used in Arch Linux'
arch=('any')
license=('GPL')
url='https://github.com/archlinux/contrib'
depends=('python')
optdepends=('python-requests: for security tracker')
source=("https://github.com/archlinux/contrib/releases/download/${pkgver}/contrib-${pkgver}.tar.gz"{,.sig})
validpgpkeys=('C100346676634E80C940FB9E9C02FF419FECBE16')
sha256sums=('df0d7bfa52db69a78d79ccbe57e3ce3429560dc328bce1271daffcfba83cb6f5'
            'SKIP')

package() {
  cd contrib-${pkgver}
  make PREFIX=/usr DESTDIR="${pkgdir}" install
}

# vim: ts=2 sw=2 et:
